Bug 214460 - Network Manager vs stateless (read-only root)
Network Manager vs stateless (read-only root)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 13:48 EST by Jeff Law
Modified: 2008-05-06 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:44:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (4.43 KB, patch)
2006-11-07 13:48 EST, Jeff Law
no flags Details | Diff

  None (edit)
Description Jeff Law 2006-11-07 13:48:59 EST
Description of problem:
NetworkManager fails to update /etc/resolv.conf in a stateless environment.

In a stateless environment, the root filesystem is mounted read-only; however,
some files which need to be writable (such as /etc/resolv.conf) are bind mounted
from a writable filesystem.  In this scheme it is impossible to perform a
traditional atomic update via the create temporary file, rename temporary to
target approach.  (creation of the temporary file would fail as would the rename
operation).

We really need NetworkManager to do something sensible here since NetworkManager
is the only real solution for managing NICs in a stateless environment.  This
patch allows NetworkManager to detect EROFS and use an alternate scheme to
update /etc/resolv.conf (non-atomic overwrite, unfortunately).

This patch also fixes a minor nit -- we should close the output file after
calling g_set_error in the event of an error -- we want g_set_error to reflect
errno from the failing syscall, not from a failing fclose.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Law 2006-11-07 13:48:59 EST
Created attachment 140581 [details]
patch
Comment 2 Bug Zapper 2008-04-04 00:30:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:44:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.